=== debian/changelog ===
sox (14.4.1-5) unstable; urgency=medium

  * Patches to fix memory corruptions on the heap, CVE-2014-8145
    (closes: #773720):
    + 0001-Check-for-minimum-size-sphere-headers.patch
    + 0002-More-checks-for-invalid-MS-ADPCM-blocks.patch

 -- Pascal Giard <pascal@debian.org>  Wed, 24 Dec 2014 14:33:55 -0500

sox (14.4.1-4) unstable; urgency=low

  * [debian/rules,debian/control]:
    - Build with dh-autoreconf instead of autotools-dev to fix FTBFS on new
      architectures. Thanks to William Grant <wgrant@ubuntu.com> and Breno
      Leitao <brenohl@br.ibm.com> (Closes: #746517).
  * [debian/control]:
    - Remove useless build-dep on libav* (Closes: #748049).

 -- Pascal Giard <pascal@debian.org>  Wed, 21 May 2014 21:58:57 -0400

sox (14.4.1-3) unstable; urgency=low

  * [debian/rules]:
    - Added an explicit call to dh_installchangelogs as Ubuntu no longer does
      does it by default. It's important for us as it contains the list of
      past contributors.
  * [debian/docs]:
    - Fixed paths to files.

 -- Pascal Giard <pascal@debian.org>  Mon, 15 Apr 2013 21:20:12 -0400

sox (14.4.1-2) unstable; urgency=low

  * [debian/libsox-fmt-base.install.in]:
    - Added all missing sndfile-derived formats. Thanks to Ulrich Klauer
      <ulrich@chirlu.de> for the patch (LP: #1086889).
  * [debian/control]:
    - Removed duplicate section field for sox. Fixes lintian warning.
    - Added Build-Dep on autotools-dev for dh_autotools_dev.
  * [debian/rules]:
    - Use dh_autotools_dev to update the outdated autotools helper files.
      Fixes lintian warning.

 -- Pascal Giard <pascal@debian.org>  Fri, 22 Feb 2013 22:38:19 -0500

sox (14.4.1-1) unstable; urgency=low

  * New upstream release.
    - Fixed misleading error message (closes: #676143).
    - Fixed early termination on Ogg Vorbis files with a non-power of two
      number of channels (closes: #672567).
  * [debian/source/format]:
    - Finally switched to dpkg-source 3.0 (quilt) format!
  * [debian/rules]:
    - No longer using CDBS and depricated makefiles, fixes lintian warnings
      "debian-rules-uses-deprecated-makefile".
    - Added multiarch support.
  * [debian/control]:
    - Added Vcs-Git and Vcs-Browser pointing to upstream VCS.
    - Added Pre-Depends on multiarch-support for libsox2, does not seem to be
      required for the other packages (contradiction in the documentation?),
      fixes lintian warning "missing-pre-dependency-on-multiarch-support".
    - Bumped Standards-Version to 3.9.3, no changes needed.
    - Set Multi-Arch on the shared libraries where appropriate.
    - Set Section to libs for all libsox* but libsox-dev.
  * [debian/patches/01_default_audio_driver_fallback.patch]:
    - Removed, fixed upstream.
  * [debian/compat]:
    - Bumped to 9 to automatically use dpkg-buildflags, fixes lintian warnings
      "hardening-no-relro" and some "hardening-no-fortify-functions" (there
      are still 5 false positives on the latter though).
  * [debian/watch]:
    - Updated watch file, thanks to Bart Martens <bartm@debian.org>.
  * [debian/README.source]:
    - Updated to reflect the much simplified packaging and usage of quilt.

 -- Pascal Giard <pascal@debian.org>  Mon, 11 Feb 2013 22:25:36 -0500

sox (14.4.0-5) unstable; urgency=low

  * [debian/patches/01_default_audio_driver_fallback.patch]:
    - Updated to only use try_device() on pulseaudio. Thanks to
      Ulrich Klauer <ulrich@chirlu.de> for the patch (closes: #676167).

 -- Pascal Giard <pascal@debian.org>  Fri, 18 Jan 2013 22:29:15 -0500

sox (14.4.0-4) experimental; urgency=low

  * [debian/rules, debian/control, debian/libsox-fmt-ffmpeg.dirs,
     debian/libsox-fmt-ffmpeg.install]:
    - Explicitly disabled and removed ffmpeg support as it's broken.
      It is being depricated in the next upstream version anyway
      (closes: #693642).

 -- Pascal Giard <pascal@debian.org>  Thu, 17 Jan 2013 21:18:45 -0500

sox (14.4.0-3) unstable; urgency=low

  * [debian/patches/01_default_audio_driver_fallback.patch]:
    - Added default audio driver fallback. Thanks to Rob Sykes for the patch
      (closes: #664301).

 -- Pascal Giard <pascal@debian.org>  Sun, 06 May 2012 22:55:25 -0400

sox (14.4.0-2) unstable; urgency=low

  * [debian/sox.install, debian/libsox-dev.install]:
    - Removed brace expensions fixing lintian warning
      "brace-expansion-in-debhelper-config-file".
  * [debian/control]:
    - Added versioned dependency to format libraries, fixes upgrades in some
      use cases.
    - Added MP2 to short description of libsox-fmt-mp3.
  * [debian/copyright]:
    - Long due update, thanks to Ulrich Klauer <ulrich@chirlu.de> for pointing
      this out.
    - libst is now libsox.
    - FFT code is no longer Audacity's GPL code.
    - Updated link to LGPL license to 2.1.

 -- Pascal Giard <pascal@debian.org>  Sun, 11 Mar 2012 23:59:36 -0400

sox (14.4.0-1) unstable; urgency=low

  * New upstream release.
    - sox_format_quit() resets format counts (closes: #660552).
    - Added support for MP2 via TwoLAME.
  * [debian/patches/01_transition_to_libav.patch]:
    - Removed, fixed upstream.
  * [debian/control]:
    - Use arch wildcards and added missing whitespaces (closes: #651754).
    - Changed Build-Dep on libpng-dev instead of libpng12-dev (closes: #662509).
    - Bumped libsox1b to libsox2, interface changes.
    - Added Build-Dep on libtwolame-dev and updated libsox-fmt-mp3 description.

 -- Pascal Giard <pascal@debian.org>  Tue, 06 Mar 2012 22:49:42 -0500

sox (14.3.2-3) unstable; urgency=low

  * [debian/control]:
    - Added armhf to architectures for which libsox-fmt-alsa should be built,
      thanks to Konstantinos Margaritis (closes: #645397).

 -- Pascal Giard <pascal@debian.org>  Sat, 10 Dec 2011 23:53:50 -0500

sox (14.3.2-2) unstable; urgency=low

  * Dynamically link against libmp3lame now that it's part of main
    (closes: #627687).
  * Preparing for transition from ffmpeg to libav (closes: #638206).
  * [debian/rules]:

