=== debian/control ===
Source: sox
Homepage: http://sox.sourceforge.net
Section: sound
Priority: optional
Maintainer: Pascal Giard <pascal@debian.org>
Build-Depends: dh-autoreconf,
               debhelper (>= 9),
               ladspa-sdk,
               libao-dev,
               libasound2-dev [linux-any],
               libgsm1-dev,
               libid3tag0-dev,
               libltdl3-dev,
               libmad0-dev,
               libmagic-dev,
               libmp3lame-dev,
               libopencore-amrnb-dev,
               libopencore-amrwb-dev,
               libpng-dev,
               libpulse-dev,
               libsamplerate0-dev,
               libsndfile1-dev (>= 1.0.12),
               libtwolame-dev,
               libvorbis-dev,
               libwavpack-dev
Standards-Version: 3.9.3
Vcs-Git: git://sox.git.sourceforge.net/gitroot/sox/sox
Vcs-Browser: http://sox.git.sourceforge.net/git/gitweb.cgi?p=sox/sox

Package: sox
Architecture: any
Depends: libsox-fmt-alsa (= ${binary:Version}) [linux-any] | libsox-fmt-ao (= ${binary:Version}) | libsox-fmt-oss (= ${binary:Version}) | libsox-fmt-pulse (= ${binary:Version}),
         libsox-fmt-base (= ${binary:Version}),
         libsox2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libsox-fmt-all
Description: Swiss army knife of sound processing
 SoX is a command line utility that can convert various formats of computer
 audio files in to other formats. It can also apply various effects to these
 sound files during the conversion. As an added bonus, SoX can play and record
 audio files on several unix-style platforms.
 .
 SoX is able to handle formats like Ogg Vorbis, MP3, WAV, AIFF, VOC, SND, AU,
 GSM and several more.
 Any format support requires at least libsox-fmt-base. Some formats have their
 own package e.g. mp3 read and write support is provided by libsox-fmt-mp3.
 .
 SoX supports most common sound architectures i.e. Alsa, Libao, OSS and Pulse
 (respectively provided by libsox-fmt-alsa, libsox-fmt-ao, libsox-fmt-oss and
 libsox-fmt-pulse). It also supports LADSPA plugins.

Package: libsox2
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libsox-fmt-alsa [linux-any] | libsox-fmt-ao | libsox-fmt-oss | libsox-fmt-pulse,
            libsox-fmt-base
Conflicts: libsox0, libsox0a, libsox1, libsox1a
Replaces: libsox1b
Suggests: libsox-fmt-all
Description: SoX library of audio effects and processing
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX library which enables to convert various formats
 of computer audio files in to other formats. It also allows you to apply
 various effects to sound files.
 .
 Any format support requires at least libsox-fmt-base.
 Sound card I/O requires libsox-fmt-alsa, libsox-fmt-ao, libsox-fmt-oss or
 libsox-fmt-pulse.

Package: libsox-fmt-base
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libsox-fmt-flac,
          libsox-fmt-gsm,
          libsox-fmt-libsndfile,
          libsox-fmt-ogg,
          libsox-fmt-sndfile
Description: Minimal set of SoX format libraries
 SoX is the swiss army knife of sound processing.
 .
 This package contains most audio formats libraries supported by SoX.
 Among them: Ogg Vorbis, WAV, AIFF, VOC, SND, AU, GSM, WavPack, LPC10, FLAC,
 MATLAB/GNU Octave, Portable Voice Format, AMR and Sound Forge Audio Format.

Package: libsox-fmt-alsa
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX alsa format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX alsa format I/O library.
 .
 alsa: http://www.alsa-project.org

Package: libsox-fmt-ao
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX Libao format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Libao format I/O library.
 .
 libao: http://xiph.org/ao

Package: libsox-fmt-mp3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX MP2 and MP3 format library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX MP2 and MP3 format library.
 Read support by libmad. MP2 and MP3 write support by libtwolame and
 libmp3lame respectively.
 .
 libmad: http://www.underbit.com/products/mad/
 lame: http://lame.sourceforge.net/

Package: libsox-fmt-oss
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX OSS format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Open Sound System (OSS)
 format I/O library.
 .
 Open Sound System: http://www.opensound.com/oss.html

Package: libsox-fmt-pulse
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX PulseAudio format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX PulseAudio format I/O library.
 .
 PulseAudio: http://www.pulseaudio.org/

Package: libsox-fmt-all
Architecture: any
Multi-Arch: same
Section: libs
Depends: libsox-fmt-alsa (= ${binary:Version}) [linux-any],
         libsox-fmt-ao (= ${binary:Version}),
         libsox-fmt-base (= ${binary:Version}),
         libsox-fmt-mp3 (= ${binary:Version}),
         libsox-fmt-oss (= ${binary:Version}),
         libsox-fmt-pulse (= ${binary:Version}),
         ${misc:Depends}
Description: All SoX format libraries
 SoX is the swiss army knife of sound processing.
 .
 This is a metapackage depending on all free SoX format libraries.

Package: libsox-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libsox-fmt-all (= ${binary:Version}),
         libsox2 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the SoX library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the development files for the SoX library.
