=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: sox
-Homepage: http://sox.sourceforge.net
 Section: sound
 Priority: optional
-Maintainer: Pascal Giard <pascal@debian.org>
-Build-Depends: dh-autoreconf,
-               debhelper (>= 9),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
+Build-Depends: debhelper (>= 10~),
                ladspa-sdk,
                libao-dev,
                libasound2-dev [linux-any],
@@ -23,15 +23,16 @@
                libtwolame-dev,
                libvorbis-dev,
                libwavpack-dev
-Standards-Version: 3.9.3
-Vcs-Git: git://sox.git.sourceforge.net/gitroot/sox/sox
-Vcs-Browser: http://sox.git.sourceforge.net/git/gitweb.cgi?p=sox/sox
+Standards-Version: 4.1.2
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/sox.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/sox.git
+Homepage: https://sox.sourceforge.io/
 
 Package: sox
 Architecture: any
 Depends: libsox-fmt-alsa (= ${binary:Version}) [linux-any] | libsox-fmt-ao (= ${binary:Version}) | libsox-fmt-oss (= ${binary:Version}) | libsox-fmt-pulse (= ${binary:Version}),
          libsox-fmt-base (= ${binary:Version}),
-         libsox2 (= ${binary:Version}),
+         libsox3 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: libsox-fmt-all
@@ -50,7 +51,7 @@
  (respectively provided by libsox-fmt-alsa, libsox-fmt-ao, libsox-fmt-oss and
  libsox-fmt-pulse). It also supports LADSPA plugins.
 
-Package: libsox2
+Package: libsox3
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -99,7 +100,7 @@
  .
  This package contains the SoX alsa format I/O library.
  .
- alsa: http://www.alsa-project.org
+ alsa: https://www.alsa-project.org/main/index.php/Main_Page
 
 Package: libsox-fmt-ao
 Architecture: any
@@ -111,7 +112,7 @@
  .
  This package contains the SoX Libao format I/O library.
  .
- libao: http://xiph.org/ao
+ libao: https://xiph.org/ao
 
 Package: libsox-fmt-mp3
 Architecture: any
@@ -125,8 +126,8 @@
  Read support by libmad. MP2 and MP3 write support by libtwolame and
  libmp3lame respectively.
  .
- libmad: http://www.underbit.com/products/mad/
- lame: http://lame.sourceforge.net/
+ libmad: https://www.underbit.com/products/mad/
+ lame: https://lame.sourceforge.io
 
 Package: libsox-fmt-oss
 Architecture: any
@@ -151,7 +152,7 @@
  .
  This package contains the SoX PulseAudio format I/O library.
  .
- PulseAudio: http://www.pulseaudio.org/
+ PulseAudio: https://www.freedesktop.org/wiki/Software/PulseAudio/
 
 Package: libsox-fmt-all
 Architecture: any
@@ -174,9 +175,13 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libsox-fmt-all (= ${binary:Version}),
-         libsox2 (= ${binary:Version}),
+         libsox3 (= ${binary:Version}),
          ${misc:Depends}
 Description: Development files for the SoX library
  SoX is the swiss army knife of sound processing.
  .
+ This library allow you to convert various formats of computer audio files
+ in to other formats. It also allows you to apply
+ various effects to sound files.
+ .
  This package contains the development files for the SoX library.
