## sox 14.4.2+git20190427

=== CMakeLists.txt ===
--- 
+++ 
@@ -65,16 +65,17 @@
   endif (${variable}1)
 endmacro(optional4)
 
-project(sox)
+project(sox C)
 
 if(CMAKE_COMPILER_IS_GNUCC)
-  add_definitions(-D_FORTIFY_SOURCE=2 -Wall -W -Wmissing-prototypes -Wstrict-prototypes -pedantic)
+	add_definitions(-fstack-protector -Wall -W -Wmissing-prototypes -Wstrict-prototypes -pedantic -Wno-format -Wno-long-long)
 endif(CMAKE_COMPILER_IS_GNUCC)
 
 include(TestBigEndian)
 
 check_include_files("byteswap.h"         HAVE_BYTESWAP_H)
 check_include_files("inttypes.h"         HAVE_INTTYPES_H)
+check_include_files("fenv.h"             HAVE_FENV_H)
 check_include_files("glob.h"             HAVE_GLOB_H)
 check_include_files("io.h"               HAVE_IO_H)
 #check_include_files("ltdl.h"             HAVE_LTDL_H) # no plug-ins as yet
@@ -103,6 +104,9 @@
 optional(NEED_LIBM math.h m pow "")
 if(NEED_LIBM)
   set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} -lm)
+  optional(HAVE_LRINT math.h m lrint "")
+else(NEED_LIBM)
+  check_function_exists("lrint" HAVE_LRINT)
 endif(NEED_LIBM)
 optional(EXTERNAL_GSM gsm/gsm.h gsm gsm_create "")
 optional(EXTERNAL_LPC10 lpc10/lpc10.h lpc10 lpc10_create "")
@@ -110,10 +114,10 @@
 optional(HAVE_AMRNB amrnb/sp_dec.h amrnb Decoder_Interface_init amr-nb)
 optional(HAVE_AMRWB amrwb/dec.h amrwb D_IF_init amr-wb)
 if(CMAKE_COMPILER_IS_GNUCC)
-  optional(HAVE_OPENMP omp.h gomp omp_get_thread_num "")
-  if(HAVE_OPENMP)
+  optional(HAVE_GOMP omp.h gomp omp_get_thread_num "")
+  if(HAVE_GOMP)
     add_definitions(-fopenmp)
-  endif(HAVE_OPENMP)
+  endif(HAVE_GOMP)
 endif(CMAKE_COMPILER_IS_GNUCC)
 optional(HAVE_ID3TAG id3tag.h id3tag id3_file_open "")
 optional(HAVE_SNDIO sndio.h sndio sio_open sndio)
@@ -126,7 +130,6 @@
 endif (NOT HAVE_LAME_LAME_H)
 optional(HAVE_TWOLAME_H twolame.h twolame twolame_init mp3)
 optional(HAVE_MAGIC magic.h magic magic_open "")
-#optional(HAVE_OGG_SPEEX speex/speex.h speex speex_decoder_init speex)
 optional2(HAVE_PNG png.h png png_set_rows z uncompress spectrogram)
 if (HAVE_PNG)
   check_library_exists(z uncompress "" spectrogram1)
@@ -136,6 +139,7 @@
 endif (HAVE_PNG)
 optional2(HAVE_PULSEAUDIO pulse/simple.h pulse-simple pa_simple_new pulse pa_strerror pulseaudio)
 optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual sndfile)
+optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual caf)
 optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual fap)
 optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual mat4)
 optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual mat5)
@@ -155,7 +159,7 @@
 endif (NOT HAVE_SYS_SOUNDCARD_H)
 optional(HAVE_WAVEAUDIO mmsystem.h winmm waveInGetDevCapsA waveaudio)
 optional4(HAVE_OGG_VORBIS vorbis/codec.h ogg ogg_stream_flush vorbis vorbis_analysis_headerout vorbisfile ov_clear vorbisenc vorbis_encode_init_vbr vorbis)
-optional3(HAVE_FFMPEG ffmpeg/avformat.h avformat av_open_input_file avutil av_rescale_q avcodec avcodec_decode_audio2 ffmpeg)
+optional3(HAVE_OPUS opusfile.h ogg ogg_stream_flush opus opus_encoder_create opusfile op_open_callbacks opus)
 optional(HAVE_WAVPACK wavpack/wavpack.h wavpack WavpackGetSampleRate wavpack)
 
 if (HAVE_LAME_LAME_H OR HAVE_MAD_H)
@@ -164,7 +168,6 @@
 
 set(CMAKE_REQUIRED_LIBRARIES mp3lame m)
 check_function_exists("lame_set_VBR_quality" HAVE_LAME_SET_VBR_QUALITY)
-check_function_exists("id3tag_set_fieldvalue" HAVE_ID3TAG_SET_FIELDVALUE)
 
 if (HAVE_SUN_AUDIOIO_H OR HAVE_SYS_AUDIOIO_H)
   set(HAVE_SUN_AUDIO 1)
