=== debian/control ===
--- 
+++ 
@@ -1,32 +1,36 @@
 Source: sox
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper (>= 10~),
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
+Build-Depends: debhelper-compat (= 13),
                ladspa-sdk,
                libao-dev,
                libasound2-dev [linux-any],
                libgsm1-dev,
                libid3tag0-dev,
-               libltdl3-dev,
+               libltdl-dev,
                libmad0-dev,
                libmagic-dev,
                libmp3lame-dev,
                libopencore-amrnb-dev,
                libopencore-amrwb-dev,
+               libopusfile-dev,
                libpng-dev,
                libpulse-dev,
                libsamplerate0-dev,
-               libsndfile1-dev (>= 1.0.12),
+               libsndfile1-dev,
                libtwolame-dev,
                libvorbis-dev,
-               libwavpack-dev
-Standards-Version: 4.1.2
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/sox.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/sox.git
+               libwavpack-dev,
+               time <!nocheck>,
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/multimedia-team/sox.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/sox
 Homepage: https://sox.sourceforge.io/
+Rules-Requires-Root: no
 
 Package: sox
 Architecture: any
@@ -129,6 +133,18 @@
  libmad: https://www.underbit.com/products/mad/
  lame: https://lame.sourceforge.io
 
+Package: libsox-fmt-opus
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: SoX Opus format library
+ SoX is the swiss army knife of sound processing.
+ .
+ This package contains the SoX Opus format library.
+ .
+ Opus: http://www.opus-codec.org/
+
 Package: libsox-fmt-oss
 Architecture: any
 Multi-Arch: same
@@ -162,6 +178,7 @@
          libsox-fmt-ao (= ${binary:Version}),
          libsox-fmt-base (= ${binary:Version}),
          libsox-fmt-mp3 (= ${binary:Version}),
+         libsox-fmt-opus (= ${binary:Version}),
          libsox-fmt-oss (= ${binary:Version}),
          libsox-fmt-pulse (= ${binary:Version}),
          ${misc:Depends}
